TomcatVirtualHosts (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.TomcatVirtualHosts interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface TomcatVirtualHosts

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebVirtualHost

    public interface TomcatVirtualHosts

extends WebVirtualHost

TomcatVirtualHosts

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getDefaultContextCookies()`
`boolean` | `getDefaultContextCrossContext()`
`java.lang.String` | `getDeployedObjects()`
`long` | `getStartTime()`
`boolean` | `hasDefaultContextCookies()`
`boolean` | `hasDefaultContextCrossContext()`
`boolean` | `hasDeployedObjects()`
`boolean` | `hasStartTime()`
`void` | `setDefaultContextCookies(boolean downloadServerClasses)`
`void` | `setDefaultContextCrossContext(boolean downloadServerClasses)`
`void` | `setDeployedObjects(java.lang.String deployedObjects)`
`void` | `setStartTime(long time)`

Methods inherited from interface com.collation.platform.model.topology.app.web.WebVirtualHost
`getBindAddresses, getDefaultWebServer, getDirectives, getDocumentRoot, getParent, getPrimarySAP, getProxyServer, getServerAliases, getServerName, hasBindAddresses, hasDefaultWebServer, hasDirectives, hasDocumentRoot, hasParent, hasPrimarySAP, hasProxyServer, hasServerAliases, hasServerName, setBindAddresses, setDefaultWebServer, setDirectives, setDocumentRoot, setParent, setPrimarySAP, setProxyServer, setServerAliases, setServerName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getDefaultContextCookies

    boolean getDefaultContextCookies()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultContextCookies

    void setDefaultContextCookies(boolean downloadServerClasses)

### hasDefaultContextCookies

    boolean hasDefaultContextCookies()

### getDefaultContextCrossContext

    boolean getDefaultContextCrossContext()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultContextCrossContext

    void setDefaultContextCrossContext(boolean downloadServerClasses)

### hasDefaultContextCrossContext

    boolean hasDefaultContextCrossContext()

### getDeployedObjects

    java.lang.String getDeployedObjects()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDeployedObjects

    void setDeployedObjects(java.lang.String deployedObjects)

### hasDeployedObjects

    boolean hasDeployedObjects()

### getStartTime

    long getStartTime()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStartTime

    void setStartTime(long time)

### hasStartTime

    boolean hasStartTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD